{
	"name": "form/nc/report/form/axopar-sticker/axopar-sticker.json",
	"layout": {
		"component": "nc-col",
		"attribute": {
			"id": "axopar-sticker",
			"class": ["nc-align-top"],
			"width": "auto"
		},
		"element": [
			{
				"component": "nc-header",
				"text": "Axopar sticker",
				"attribute": {
					"v-if": "!rec.printing",
					"size": "medium",
					"hdr": "hdr.axopar_sticker"
				}
			},
			{
				"component": "nc-row",
				"attribute": {
					"info": "30x40mm",
					"print-height": "100%",
					"print-width": "100%"
				},
				"element": [
					{
						"component": "nc-row",
						"attribute": { "height": "1/6" },
						"element": [
							{
								"component": "nc-col",
								"attribute": { "width": "1/2" },
								"element": [
									{
										"component": "nc-label-input",
										"attribute": {
											"class": ["bold"],
											"model": "rec.co.name",
											"v-on:change": "rec.pdf_update_trigger++"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": { "width": "1/2", "class": ["nc-end-h"] },
								"element": [
									{
										"component": "nc-label-input",
										"attribute": {
											"model": "rec.production_date",
											"v-on:change": "rec.pdf_update_trigger++"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/2", "width": "auto" },
						"element": [
							{
								"component": "nc-barcode",
								"attribute": {
									"format": "code128",
									"code-width": 2,
									"scale-x": 2,
									"scale-y": 50,
									"model": "rec.pr.json_data.supplier_product_code"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/6", "width": "auto" },
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.pr.json_data.supplier_product_code",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": { "height": "1/6", "width": "auto" },
						"element": [
							{
								"component": "nc-label-input",
								"attribute": {
									"model": "rec.pr.name",
									"v-on:change": "rec.pdf_update_trigger++"
								}
							}
						]
					}
				]
			}
		]
	}
}
